/**
 * The CIRM global namespace.
 * @constructor
*/
var CIRM = window.CIRM || {};

/**
 * Returns the namespace specified and creates it if it doesn't exist.
 *
 * CIRM.namespace("property.package");
 * CIRM.namespace("CIRM.property.package");
 *
 * Either of the above would create CIRM.property, then CIRM.property.package
 *
 * @param  {String} nameSpace String representation of the desired namespace.
 * @return {Object}           A reference to the namespace object.
*/
CIRM.namespace = function(nameSpace)
{
    if ( !nameSpace || !nameSpace.length )
	{
        return null;
    }
    var levels = nameSpace.split(".");
    var currentNameSpace = CIRM;
    // CIRM is implied, so it is ignored if it is included
    for ( var i = (levels[0] == "CIRM") ? 1 : 0; i < levels.length; ++i )
	{
        currentNameSpace[levels[i]] = currentNameSpace[levels[i]] || {};
        currentNameSpace = currentNameSpace[levels[i]];
    }
    return currentNameSpace;
};

CIRM.namespace("CIRM.net.scorm");
CIRM.namespace("CIRM.ui");
CIRM.namespace("CIRM.util");