/**
 * Creates a new ToolTip object.
*/
CIRM.ui.ToolTip =
{
	
	_shiftX:15,
    _shiftY:15,
	__tip__:null,
	
	/**
	 * Afficher une infobulle.
	 *
	 * @param tipId La rfrence de l'infobulle  afficher.
	 * @param event Evnement rceptionn durant l'affichage de l'infobulle.
	*/
	show: function(tipId, event)
	{
		this.__tip__ = document.getElementById(tipId);
		if ( this.__tip__ != null )
		{
			document.getElementsByTagName("body")[0].appendChild(this.__tip__);
			this.__tip__.style.display = "block";
			/*this._moveTo(event);*/
			this._moveTo(event);
		}
	},
	
	/**
	 * Masquer l'infobulle.
	 *
	 * @param tipId (optionnel) La rfrence de l'infobulle  masquer.
	*/
	hide: function(tipId)
	{
		if ( tipId != null )
		{
			this.__tip__ = document.getElementById(tipId);
		}
		if ( this.__tip__ != null )
		{
			this.__tip__.style.display = "none";
			document.getElementById("content").appendChild(this.__tip__);
			this.__tip__ = null;
		}
	},
	
	/**
	 * Positionner l'infobulle en fonction de la position du curseur.
	 *
	 * @param event Evnement rceptionn durant l'affichage de l'infobulle.
	*/
	_moveTo: function(event)
	{
		var xMouse = CIRM.util.ViewPort.getMouseX(event);
	 	var yMouse = CIRM.util.ViewPort.getMouseY(event);
		
		var xTip = null;
		var yTip = null;

		var widthTip  =	parseFloat(this.__tip__.offsetWidth);
		var heightTip = parseFloat(this.__tip__.offsetHeight);
		
		if ( document.getElementById("header") )
		{
			var headerHeight = document.getElementById("header").offsetHeight;
		}
		else
		{
			var headerHeight = 0;
		}
		
		var contentScroll = document.getElementById("content").scrollTop;
		
		if ( xMouse + this._shiftX + widthTip > CIRM.util.ViewPort.getWinWidth() )
		{
			xTip = xMouse - this._shiftX - widthTip;
			if ( xTip < 0 )
			{
				xTip = 0;
			}
		}
		else
		{
			xTip = xMouse + this._shiftX;
		}
		
		if ( yMouse + this._shiftY + heightTip > CIRM.util.ViewPort.getWinHeight() )
		{
			yTip = yMouse - this._shiftY - heightTip;
			if ( yTip < 0 )
			{
				yTip = 0;
			}
		}
		else
		{
			yTip = yMouse + this._shiftY;
		}
		
		this.__tip__.style.left = xTip + "px";
		this.__tip__.style.top =  yTip + "px";
	
	}

}	