/**
 * Creates a new ViewPort object.
*/
CIRM.util.ViewPort =
{
	/**
	 *
	*/
	getWinWidth: function()
	{
		var width = 0;
		if ( window.innerWidth )
		{
			width = window.innerWidth - 18;
		}
		else if ( document.documentElement && document.documentElement.clientWidth )
		{
			width = document.documentElement.clientWidth - 18;
		}
		else if ( document.body && document.body.clientWidth )
		{
			width = document.body.clientWidth;
		}
		return width;
	},

	/**
	 *
	*/
	getWinHeight: function()
	{
		var height = 0;
		if ( window.innerHeight )
		{
			height = window.innerHeight - 18;
		}
		else if ( document.documentElement && document.documentElement.clientHeight )
		{
			height = document.documentElement.clientHeight - 18;
		}
		else if ( document.body && document.body.clientHeight )
		{
			height = document.body.clientHeight;
		}
		return height;
	},

	/**
	 *
	*/
	getScrollX: function()
	{
		var scrollX = 0;
		if ( typeof window.pageXOffset == "number" )
		{
			scrollX = window.pageXOffset;
		}
		else if ( document.documentElement && document.documentElement.scrollLeft )
		{
			scrollX = document.documentElement.scrollLeft;
		}
		else if ( document.body && document.body.scrollLeft )
		{
			scrollX = document.body.scrollLeft;
		}
		else if ( window.scrollX )
		{
			scrollX = window.scrollX;
		}
		return scrollX;
	},

	/**
	 *
	*/
	getScrollY: function()
	{
		var scrollY = 0;
		if ( typeof window.pageYOffset == "number" )
		{
			scrollY = window.pageYOffset;
		}
		else if ( document.documentElement && document.documentElement.scrollTop )
		{
			scrollY = document.documentElement.scrollTop;
		}
		else if ( document.body && document.body.scrollTop )
		{
			scrollY = document.body.scrollTop;
		}
		else if ( window.scrollY )
		{
			scrollY = window.scrollY;
		}
		return scrollY;
	},

	/**
	 *
	*/
	getMouseX: function(e)
	{
		if ( !e )
		{
			e = window.event;
		}
		if ( e )
		{
			var xMouse = 0;
			if ( e.pageX )
			{
				xMouse = e.pageX;
			}
			else if ( e.clientX )
			{
				xMouse = e.clientX + document.body.scrollLeft;
			}
		}
		return xMouse;
	},

	/**
	 *
	*/
	getMouseY: function(e)
	{
		if ( !e )
		{
			e = window.event;
		}
		if ( e )
		{
			var yMouse = 0;
			if ( e.pageY )
			{
				yMouse = e.pageY;
			}
			else if ( e.clientY )
			{
				yMouse = e.clientY + document.body.scrollTop;
			}
		}
		return yMouse;
	}

}